⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the request body
{"properties":{"action_description":{"type":"string","title":"Action Description","description":"Description of the script/run with input parameters (e.g. table name, column name, etc).","default":""},"table_name":{"type":"string","title":"Table Name"},"data":{"items":{"additionalProperties":true,"type":"object"},"type":"array","title":"Data","description":"Actual data to append. \nKeys in this dictionary must be a subset of the columns in the table. If not specified, column will be set to NULL.\nNaN and NULL are considered to be the same thing.","examples":[[{"dec":41.269,"name":"M 31","ra":0.7123},{"dec":30.6602,"name":"M 33","ra":1.5641}]]}},"type":"object","required":["table_name","data"],"title":"AddDataRequest"}
Responses
{"data":{}}
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the request body
{"properties":{"action_description":{"type":"string","title":"Action Description","description":"Description of the script/run with input parameters (e.g. table name, column name, etc).","default":""},"title":{"type":"string","title":"Title"},"authors":{"items":{"type":"string"},"type":"array","title":"Authors","examples":[["Ivanov V.","Johnson H."]]},"year":{"type":"integer","title":"Year","examples":[2006]}},"type":"object","required":["title","authors","year"],"title":"CreateSourceRequest"}
Responses
{"data":{"code":"string"}}
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
Creates new schema for the table which can later be used to upload data.
Important: If the table with the specified name already exists, does nothing and returns ID
of the previously created table without any alterations.
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the request body
{"properties":{"action_description":{"type":"string","title":"Action Description","description":"Description of the script/run with input parameters (e.g. table name, column name, etc).","default":""},"table_name":{"type":"string","title":"Table Name"},"columns":{"items":{"$ref":"#/components/schemas/ColumnDescription"},"type":"array","title":"Columns","description":"List of columns in the table","examples":[[{"data_type":"str","name":"name","ucd":"meta.id"},{"data_type":"float","name":"ra","ucd":"pos.eq.ra","unit":"hourangle"},{"data_type":"float","name":"dec","ucd":"pos.eq.dec","unit":"deg"}]]},"bibcode":{"type":"string","title":"Bibcode","description":"ADS bibcode of the article that published the data (or code of the internal communication)","examples":["2024PDU....4601628D"]},"datatype":{"$ref":"#/components/schemas/DataType"},"description":{"type":"string","title":"Description","description":"Human-readable description of the table"}},"type":"object","required":["table_name","columns","bibcode","datatype","description"],"title":"CreateTableRequest"}
Responses
{"data":{"id":0}}
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the request body
{"properties":{"action_description":{"type":"string","title":"Action Description","description":"Description of the script/run with input parameters (e.g. table name, column name, etc).","default":""},"table_name":{"type":"string","title":"Table Name"},"new_table_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"New Table Name","description":"When set, renames the table."},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description","description":"When set, replaces the human-readable description of the table"},"datatype":{"anyOf":[{"$ref":"#/components/schemas/DataType"},{"type":"null"}],"description":"When set, replaces the table datatype."},"columns":{"additionalProperties":{"$ref":"#/components/schemas/PatchColumnSpec"},"type":"object","title":"Columns","default":{}}},"type":"object","required":["table_name"],"title":"PatchTableRequest"}
Responses
{"data":{}}
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the request body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the request body
{"properties":{"action_description":{"type":"string","title":"Action Description","description":"Description of the script/run with input parameters (e.g. table name, column name, etc).","default":""},"statuses":{"$ref":"#/components/schemas/StatusesPayload"}},"type":"object","required":["statuses"],"title":"SetCrossmatchResultsRequest"}
Responses
{"data":{}}
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
Assigns PGC numbers to records that already have crossmatch results with
triage_status = resolved. Each record must have been set using POST /v1/records/crossmatch first.
Records in pending triage or with collided metadata are rejected. The request is all-or-nothing.
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the request body
{"properties":{"action_description":{"type":"string","title":"Action Description","description":"Description of the script/run with input parameters (e.g. table name, column name, etc).","default":""},"record_ids":{"items":{"type":"string"},"type":"array","title":"Record Ids"}},"type":"object","required":["record_ids"],"title":"AssignRecordPgcsRequest"}
Responses
{"data":{}}
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
Bulk write columnar data into a layer 1 catalog table. Records are identified by
internal HyperLEDA IDs (must already be registered there). Use catalog to target icrs,
designation, or redshift. Column names and units are given once; data is a 2D array of rows.
For every column that has unit metadata in the database, the request must include that column in
units.
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the request body
{"properties":{"action_description":{"type":"string","title":"Action Description","description":"Description of the script/run with input parameters (e.g. table name, column name, etc).","default":""},"catalog":{"type":"string","title":"Catalog"},"columns":{"items":{"type":"string"},"type":"array","title":"Columns"},"units":{"additionalProperties":{"type":"string"},"type":"object","title":"Units","default":{}},"ids":{"items":{"type":"string"},"type":"array","title":"Ids"},"data":{"items":{"items":{},"type":"array"},"type":"array","title":"Data"}},"type":"object","required":["catalog","columns","ids","data"],"title":"SaveStructuredDataRequest"}
Responses
{"data":{}}
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
⚠️This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.Schema of the response body
Description of the script/run with input parameters (e.g. table name, column name, etc).
data
Array<>
Actual data to append.
Keys in this dictionary must be a subset of the columns in the table. If not specified, column will be set to NULL.
NaN and NULL are considered to be the same thing.